Coccinelle archive on lore.kernel.org
 help / color / Atom feed
* [Cocci] coccinelle depends on unmaintained pygtk
@ 2020-02-04 14:48 eamanu
  2020-02-04 14:59 ` Julia Lawall
  0 siblings, 1 reply; 10+ messages in thread
From: eamanu @ 2020-02-04 14:48 UTC (permalink / raw)
  To: cocci

Hi everybody,

Sorry if this issues is duplicated, I am new in the mailing list
and in a very quickly searching I didn't found about this issue.

I am working on Coccinelle package on Debian and currently
exist the next bug [1].

There is any plan to port to use GObject Instrospection?


[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267


Thanks!

Cheers,
eamanu

_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-04 14:48 [Cocci] coccinelle depends on unmaintained pygtk eamanu
@ 2020-02-04 14:59 ` Julia Lawall
  2020-02-04 15:25   ` eamanu
  0 siblings, 1 reply; 10+ messages in thread
From: Julia Lawall @ 2020-02-04 14:59 UTC (permalink / raw)
  To: eamanu; +Cc: cocci

On Tue, 4 Feb 2020, eamanu wrote:

> Hi everybody,
>
> Sorry if this issues is duplicated, I am new in the mailing list
> and in a very quickly searching I didn't found about this issue.
>
> I am working on Coccinelle package on Debian

Thanks!

> and currently
> exist the next bug [1].
>
> There is any plan to port to use GObject Instrospection?
>
> [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267

I think we should just drop the code that depends on it.  It was added for
a MS thesis more than 10 years ago, and I don't think anyone has used it
since.

I will look into it.

julia
_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-04 14:59 ` Julia Lawall
@ 2020-02-04 15:25   ` eamanu
  2020-02-27  9:43     ` Nicolas Palix
  0 siblings, 1 reply; 10+ messages in thread
From: eamanu @ 2020-02-04 15:25 UTC (permalink / raw)
  To: Julia Lawall; +Cc: cocci

Hi!

On 04/02/2020 11:59, Julia Lawall wrote:
> On Tue, 4 Feb 2020, eamanu wrote:
>
>> Hi everybody,
>>
>> Sorry if this issues is duplicated, I am new in the mailing list
>> and in a very quickly searching I didn't found about this issue.
>>
>> I am working on Coccinelle package on Debian
> Thanks!
>
>> and currently
>> exist the next bug [1].
>>
>> There is any plan to port to use GObject Instrospection?
>>
>> [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267
> I think we should just drop the code that depends on it.  It was added for
> a MS thesis more than 10 years ago, and I don't think anyone has used it
> since.
>
> I will look into it.

Great, if you need help, I can help :-)

I will wait for any news. Thanks

eamanu
>
> julia

_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-04 15:25   ` eamanu
@ 2020-02-27  9:43     ` Nicolas Palix
  2020-02-27  9:45       ` Julia Lawall
  0 siblings, 1 reply; 10+ messages in thread
From: Nicolas Palix @ 2020-02-27  9:43 UTC (permalink / raw)
  To: eamanu, Julia Lawall; +Cc: cocci

Hi Emmanuel,

Instead of porting to GObject directly,
can we use PyGTKCompat ?

https://wiki.gnome.org/Projects/PyGObject/PyGTKCompat

Regards,

Le 04/02/2020 à 16:25, eamanu a écrit :
> Hi!
> 
> On 04/02/2020 11:59, Julia Lawall wrote:
>> On Tue, 4 Feb 2020, eamanu wrote:
>>
>>> Hi everybody,
>>>
>>> Sorry if this issues is duplicated, I am new in the mailing list
>>> and in a very quickly searching I didn't found about this issue.
>>>
>>> I am working on Coccinelle package on Debian
>> Thanks!
>>
>>> and currently
>>> exist the next bug [1].
>>>
>>> There is any plan to port to use GObject Instrospection?
>>>
>>> [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267
>> I think we should just drop the code that depends on it.  It was added for
>> a MS thesis more than 10 years ago, and I don't think anyone has used it
>> since.
>>
>> I will look into it.
> 
> Great, if you need help, I can help :-)
> 
> I will wait for any news. Thanks
> 
> eamanu
>>
>> julia
> 
> _______________________________________________
> Cocci mailing list
> Cocci@systeme.lip6.fr
> https://systeme.lip6.fr/mailman/listinfo/cocci
> 


-- 
Nicolas Palix
http://lig-membres.imag.fr/palix/
_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-27  9:43     ` Nicolas Palix
@ 2020-02-27  9:45       ` Julia Lawall
  2020-02-27  9:56         ` Nicolas Palix
  0 siblings, 1 reply; 10+ messages in thread
From: Julia Lawall @ 2020-02-27  9:45 UTC (permalink / raw)
  To: Nicolas Palix; +Cc: cocci

[-- Attachment #1: Type: text/plain, Size: 1512 bytes --]



On Thu, 27 Feb 2020, Nicolas Palix wrote:

> Hi Emmanuel,
>
> Instead of porting to GObject directly,
> can we use PyGTKCompat ?
>
> https://wiki.gnome.org/Projects/PyGObject/PyGTKCompat

The problem is resolved by removing the python file that relied on the
unavailable library.  I don't think that that python file is useful.

julia

>
> Regards,
>
> Le 04/02/2020 à 16:25, eamanu a écrit :
> > Hi!
> >
> > On 04/02/2020 11:59, Julia Lawall wrote:
> > > On Tue, 4 Feb 2020, eamanu wrote:
> > >
> > > > Hi everybody,
> > > >
> > > > Sorry if this issues is duplicated, I am new in the mailing list
> > > > and in a very quickly searching I didn't found about this issue.
> > > >
> > > > I am working on Coccinelle package on Debian
> > > Thanks!
> > >
> > > > and currently
> > > > exist the next bug [1].
> > > >
> > > > There is any plan to port to use GObject Instrospection?
> > > >
> > > > [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267
> > > I think we should just drop the code that depends on it.  It was added for
> > > a MS thesis more than 10 years ago, and I don't think anyone has used it
> > > since.
> > >
> > > I will look into it.
> >
> > Great, if you need help, I can help :-)
> >
> > I will wait for any news. Thanks
> >
> > eamanu
> > >
> > > julia
> >
> > _______________________________________________
> > Cocci mailing list
> > Cocci@systeme.lip6.fr
> > https://systeme.lip6.fr/mailman/listinfo/cocci
> >
>
>
> --
> Nicolas Palix
> http://lig-membres.imag.fr/palix/
>

[-- Attachment #2: Type: text/plain, Size: 136 bytes --]

_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-27  9:45       ` Julia Lawall
@ 2020-02-27  9:56         ` Nicolas Palix
  2020-02-27 10:04           ` Julia Lawall
  0 siblings, 1 reply; 10+ messages in thread
From: Nicolas Palix @ 2020-02-27  9:56 UTC (permalink / raw)
  To: Julia Lawall; +Cc: cocci

Le 27/02/2020 à 10:45, Julia Lawall a écrit :
> 
> 
> On Thu, 27 Feb 2020, Nicolas Palix wrote:
> 
>> Hi Emmanuel,
>>
>> Instead of porting to GObject directly,
>> can we use PyGTKCompat ?
>>
>> https://wiki.gnome.org/Projects/PyGObject/PyGTKCompat
> 
> The problem is resolved by removing the python file that relied on the
> unavailable library.  I don't think that that python file is useful.

It looks like python/coccilib/coccigui contains the offending files:
coccigui.py, pygui.glade and pygui.gradep.
But according to vimcom.py and vimembed.py, these laters also depend of GTK.

Should the coccigui folder be entirely removed ?

> 
> julia
> 
>>
>> Regards,
>>
>> Le 04/02/2020 à 16:25, eamanu a écrit :
>>> Hi!
>>>
>>> On 04/02/2020 11:59, Julia Lawall wrote:
>>>> On Tue, 4 Feb 2020, eamanu wrote:
>>>>
>>>>> Hi everybody,
>>>>>
>>>>> Sorry if this issues is duplicated, I am new in the mailing list
>>>>> and in a very quickly searching I didn't found about this issue.
>>>>>
>>>>> I am working on Coccinelle package on Debian
>>>> Thanks!
>>>>
>>>>> and currently
>>>>> exist the next bug [1].
>>>>>
>>>>> There is any plan to port to use GObject Instrospection?
>>>>>
>>>>> [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267
>>>> I think we should just drop the code that depends on it.  It was added for
>>>> a MS thesis more than 10 years ago, and I don't think anyone has used it
>>>> since.
>>>>
>>>> I will look into it.
>>>
>>> Great, if you need help, I can help :-)
>>>
>>> I will wait for any news. Thanks
>>>
>>> eamanu
>>>>
>>>> julia
>>>
>>> _______________________________________________
>>> Cocci mailing list
>>> Cocci@systeme.lip6.fr
>>> https://systeme.lip6.fr/mailman/listinfo/cocci
>>>
>>
>>
>> --
>> Nicolas Palix
>> http://lig-membres.imag.fr/palix/
>>
> 


-- 
Nicolas Palix
http://lig-membres.imag.fr/palix/
_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-27  9:56         ` Nicolas Palix
@ 2020-02-27 10:04           ` Julia Lawall
  2020-02-28 11:39             ` Emmanuel Arias
  0 siblings, 1 reply; 10+ messages in thread
From: Julia Lawall @ 2020-02-27 10:04 UTC (permalink / raw)
  To: Nicolas Palix; +Cc: cocci

[-- Attachment #1: Type: text/plain, Size: 2254 bytes --]



On Thu, 27 Feb 2020, Nicolas Palix wrote:

> Le 27/02/2020 à 10:45, Julia Lawall a écrit :
> >
> >
> > On Thu, 27 Feb 2020, Nicolas Palix wrote:
> >
> > > Hi Emmanuel,
> > >
> > > Instead of porting to GObject directly,
> > > can we use PyGTKCompat ?
> > >
> > > https://wiki.gnome.org/Projects/PyGObject/PyGTKCompat
> >
> > The problem is resolved by removing the python file that relied on the
> > unavailable library.  I don't think that that python file is useful.
>
> It looks like python/coccilib/coccigui contains the offending files:
> coccigui.py, pygui.glade and pygui.gradep.
> But according to vimcom.py and vimembed.py, these laters also depend of GTK.
>
> Should the coccigui folder be entirely removed ?

Yes, they have already been removed on github.

julia


>
> >
> > julia
> >
> > >
> > > Regards,
> > >
> > > Le 04/02/2020 à 16:25, eamanu a écrit :
> > > > Hi!
> > > >
> > > > On 04/02/2020 11:59, Julia Lawall wrote:
> > > > > On Tue, 4 Feb 2020, eamanu wrote:
> > > > >
> > > > > > Hi everybody,
> > > > > >
> > > > > > Sorry if this issues is duplicated, I am new in the mailing list
> > > > > > and in a very quickly searching I didn't found about this issue.
> > > > > >
> > > > > > I am working on Coccinelle package on Debian
> > > > > Thanks!
> > > > >
> > > > > > and currently
> > > > > > exist the next bug [1].
> > > > > >
> > > > > > There is any plan to port to use GObject Instrospection?
> > > > > >
> > > > > > [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267
> > > > > I think we should just drop the code that depends on it.  It was added
> > > > > for
> > > > > a MS thesis more than 10 years ago, and I don't think anyone has used
> > > > > it
> > > > > since.
> > > > >
> > > > > I will look into it.
> > > >
> > > > Great, if you need help, I can help :-)
> > > >
> > > > I will wait for any news. Thanks
> > > >
> > > > eamanu
> > > > >
> > > > > julia
> > > >
> > > > _______________________________________________
> > > > Cocci mailing list
> > > > Cocci@systeme.lip6.fr
> > > > https://systeme.lip6.fr/mailman/listinfo/cocci
> > > >
> > >
> > >
> > > --
> > > Nicolas Palix
> > > http://lig-membres.imag.fr/palix/
> > >
> >
>
>
> --
> Nicolas Palix
> http://lig-membres.imag.fr/palix/
>

[-- Attachment #2: Type: text/plain, Size: 136 bytes --]

_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-27 10:04           ` Julia Lawall
@ 2020-02-28 11:39             ` Emmanuel Arias
  2020-02-28 12:45               ` Julia Lawall
  0 siblings, 1 reply; 10+ messages in thread
From: Emmanuel Arias @ 2020-02-28 11:39 UTC (permalink / raw)
  To: Julia Lawall; +Cc: cocci

[-- Attachment #1.1: Type: text/plain, Size: 3114 bytes --]

Hi Nicolas,

It seems that PyGTKCompat is not in Debian, so IMHO I would not consider
that option.

The files with pygtk are:

docs/manual/cocci-python.txt:The latter depends on pygtk2, and the
dependency will not be evaluated until runtime.
python/coccilib/coccigui/coccigui.py:import pygtk
python/coccilib/coccigui/coccigui.py:pygtk.require("2.0")
python/coccilib/coccigui/pycoccimodel.py:import pygtk

So according with Julia, removing that files will not affect to coccinelle.



On Thu, Feb 27, 2020 at 7:04 AM Julia Lawall <julia.lawall@inria.fr> wrote:

>
>
> On Thu, 27 Feb 2020, Nicolas Palix wrote:
>
> > Le 27/02/2020 à 10:45, Julia Lawall a écrit :
> > >
> > >
> > > On Thu, 27 Feb 2020, Nicolas Palix wrote:
> > >
> > > > Hi Emmanuel,
> > > >
> > > > Instead of porting to GObject directly,
> > > > can we use PyGTKCompat ?
> > > >
> > > > https://wiki.gnome.org/Projects/PyGObject/PyGTKCompat
> > >
> > > The problem is resolved by removing the python file that relied on the
> > > unavailable library.  I don't think that that python file is useful.
> >
> > It looks like python/coccilib/coccigui contains the offending files:
> > coccigui.py, pygui.glade and pygui.gradep.
> > But according to vimcom.py and vimembed.py, these laters also depend of
> GTK.
> >
> > Should the coccigui folder be entirely removed ?
>
> Yes, they have already been removed on github.
>
> julia
>
>
> >
> > >
> > > julia
> > >
> > > >
> > > > Regards,
> > > >
> > > > Le 04/02/2020 à 16:25, eamanu a écrit :
> > > > > Hi!
> > > > >
> > > > > On 04/02/2020 11:59, Julia Lawall wrote:
> > > > > > On Tue, 4 Feb 2020, eamanu wrote:
> > > > > >
> > > > > > > Hi everybody,
> > > > > > >
> > > > > > > Sorry if this issues is duplicated, I am new in the mailing
> list
> > > > > > > and in a very quickly searching I didn't found about this
> issue.
> > > > > > >
> > > > > > > I am working on Coccinelle package on Debian
> > > > > > Thanks!
> > > > > >
> > > > > > > and currently
> > > > > > > exist the next bug [1].
> > > > > > >
> > > > > > > There is any plan to port to use GObject Instrospection?
> > > > > > >
> > > > > > > [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267
> > > > > > I think we should just drop the code that depends on it.  It was
> added
> > > > > > for
> > > > > > a MS thesis more than 10 years ago, and I don't think anyone has
> used
> > > > > > it
> > > > > > since.
> > > > > >
> > > > > > I will look into it.
> > > > >
> > > > > Great, if you need help, I can help :-)
> > > > >
> > > > > I will wait for any news. Thanks
> > > > >
> > > > > eamanu
> > > > > >
> > > > > > julia
> > > > >
> > > > > _______________________________________________
> > > > > Cocci mailing list
> > > > > Cocci@systeme.lip6.fr
> > > > > https://systeme.lip6.fr/mailman/listinfo/cocci
> > > > >
> > > >
> > > >
> > > > --
> > > > Nicolas Palix
> > > > http://lig-membres.imag.fr/palix/
> > > >
> > >
> >
> >
> > --
> > Nicolas Palix
> > http://lig-membres.imag.fr/palix/
> >

[-- Attachment #1.2: Type: text/html, Size: 5077 bytes --]

[-- Attachment #2: Type: text/plain, Size: 136 bytes --]

_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-28 11:39             ` Emmanuel Arias
@ 2020-02-28 12:45               ` Julia Lawall
  2020-02-28 15:14                 ` eamanu
  0 siblings, 1 reply; 10+ messages in thread
From: Julia Lawall @ 2020-02-28 12:45 UTC (permalink / raw)
  To: Emmanuel Arias; +Cc: cocci

[-- Attachment #1: Type: text/plain, Size: 3749 bytes --]



On Fri, 28 Feb 2020, Emmanuel Arias wrote:

> Hi Nicolas,
>
> It seems that PyGTKCompat is not in Debian, so IMHO I would not consider
> that option.
>
> The files with pygtk are:
>
> docs/manual/cocci-python.txt:The latter depends on pygtk2, and the
> dependency will not be evaluated until runtime.
> python/coccilib/coccigui/coccigui.py:import pygtk
> python/coccilib/coccigui/coccigui.py:pygtk.require("2.0")
> python/coccilib/coccigui/pycoccimodel.py:import pygtk
>
> So according with Julia, removing that files will not affect to coccinelle.

The files are gone in github.  We expect to make a new release within
about a week.

julia

>
>
>
> On Thu, Feb 27, 2020 at 7:04 AM Julia Lawall <julia.lawall@inria.fr> wrote:
>
>
>       On Thu, 27 Feb 2020, Nicolas Palix wrote:
>
>       > Le 27/02/2020 à 10:45, Julia Lawall a écrit :
>       > >
>       > >
>       > > On Thu, 27 Feb 2020, Nicolas Palix wrote:
>       > >
>       > > > Hi Emmanuel,
>       > > >
>       > > > Instead of porting to GObject directly,
>       > > > can we use PyGTKCompat ?
>       > > >
>       > > > https://wiki.gnome.org/Projects/PyGObject/PyGTKCompat
>       > >
>       > > The problem is resolved by removing the python file that
>       relied on the
>       > > unavailable library.  I don't think that that python file is
>       useful.
>       >
>       > It looks like python/coccilib/coccigui contains the offending
>       files:
>       > coccigui.py, pygui.glade and pygui.gradep.
>       > But according to vimcom.py and vimembed.py, these laters also
>       depend of GTK.
>       >
>       > Should the coccigui folder be entirely removed ?
>
>       Yes, they have already been removed on github.
>
>       julia
>
>
>       >
>       > >
>       > > julia
>       > >
>       > > >
>       > > > Regards,
>       > > >
>       > > > Le 04/02/2020 à 16:25, eamanu a écrit :
>       > > > > Hi!
>       > > > >
>       > > > > On 04/02/2020 11:59, Julia Lawall wrote:
>       > > > > > On Tue, 4 Feb 2020, eamanu wrote:
>       > > > > >
>       > > > > > > Hi everybody,
>       > > > > > >
>       > > > > > > Sorry if this issues is duplicated, I am new in the
>       mailing list
>       > > > > > > and in a very quickly searching I didn't found about
>       this issue.
>       > > > > > >
>       > > > > > > I am working on Coccinelle package on Debian
>       > > > > > Thanks!
>       > > > > >
>       > > > > > > and currently
>       > > > > > > exist the next bug [1].
>       > > > > > >
>       > > > > > > There is any plan to port to use GObject
>       Instrospection?
>       > > > > > >
>       > > > > > > [1]
>       https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267
>       > > > > > I think we should just drop the code that depends on
>       it.  It was added
>       > > > > > for
>       > > > > > a MS thesis more than 10 years ago, and I don't think
>       anyone has used
>       > > > > > it
>       > > > > > since.
>       > > > > >
>       > > > > > I will look into it.
>       > > > >
>       > > > > Great, if you need help, I can help :-)
>       > > > >
>       > > > > I will wait for any news. Thanks
>       > > > >
>       > > > > eamanu
>       > > > > >
>       > > > > > julia
>       > > > >
>       > > > > _______________________________________________
>       > > > > Cocci mailing list
>       > > > > Cocci@systeme.lip6.fr
>       > > > > https://systeme.lip6.fr/mailman/listinfo/cocci
>       > > > >
>       > > >
>       > > >
>       > > > --
>       > > > Nicolas Palix
>       > > > http://lig-membres.imag.fr/palix/
>       > > >
>       > >
>       >
>       >
>       > --
>       > Nicolas Palix
>       > http://lig-membres.imag.fr/palix/
>       >
>
>
>

[-- Attachment #2: Type: text/plain, Size: 136 bytes --]

_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [Cocci] coccinelle depends on unmaintained pygtk
  2020-02-28 12:45               ` Julia Lawall
@ 2020-02-28 15:14                 ` eamanu
  0 siblings, 0 replies; 10+ messages in thread
From: eamanu @ 2020-02-28 15:14 UTC (permalink / raw)
  To: Julia Lawall; +Cc: cocci

[-- Attachment #1.1.1.1: Type: text/plain, Size: 4135 bytes --]



On 28/02/2020 09:45, Julia Lawall wrote:
>
> On Fri, 28 Feb 2020, Emmanuel Arias wrote:
>
>> Hi Nicolas,
>>
>> It seems that PyGTKCompat is not in Debian, so IMHO I would not consider
>> that option.
>>
>> The files with pygtk are:
>>
>> docs/manual/cocci-python.txt:The latter depends on pygtk2, and the
>> dependency will not be evaluated until runtime.
>> python/coccilib/coccigui/coccigui.py:import pygtk
>> python/coccilib/coccigui/coccigui.py:pygtk.require("2.0")
>> python/coccilib/coccigui/pycoccimodel.py:import pygtk
>>
>> So according with Julia, removing that files will not affect to coccinelle.
> The files are gone in github.  We expect to make a new release within
> about a week.
>
> julia

oh great! thanks!

Emmanuel
>
>>
>>
>> On Thu, Feb 27, 2020 at 7:04 AM Julia Lawall <julia.lawall@inria.fr> wrote:
>>
>>
>>       On Thu, 27 Feb 2020, Nicolas Palix wrote:
>>
>>       > Le 27/02/2020 à 10:45, Julia Lawall a écrit :
>>       > >
>>       > >
>>       > > On Thu, 27 Feb 2020, Nicolas Palix wrote:
>>       > >
>>       > > > Hi Emmanuel,
>>       > > >
>>       > > > Instead of porting to GObject directly,
>>       > > > can we use PyGTKCompat ?
>>       > > >
>>       > > > https://wiki.gnome.org/Projects/PyGObject/PyGTKCompat
>>       > >
>>       > > The problem is resolved by removing the python file that
>>       relied on the
>>       > > unavailable library.  I don't think that that python file is
>>       useful.
>>       >
>>       > It looks like python/coccilib/coccigui contains the offending
>>       files:
>>       > coccigui.py, pygui.glade and pygui.gradep.
>>       > But according to vimcom.py and vimembed.py, these laters also
>>       depend of GTK.
>>       >
>>       > Should the coccigui folder be entirely removed ?
>>
>>       Yes, they have already been removed on github.
>>
>>       julia
>>
>>
>>       >
>>       > >
>>       > > julia
>>       > >
>>       > > >
>>       > > > Regards,
>>       > > >
>>       > > > Le 04/02/2020 à 16:25, eamanu a écrit :
>>       > > > > Hi!
>>       > > > >
>>       > > > > On 04/02/2020 11:59, Julia Lawall wrote:
>>       > > > > > On Tue, 4 Feb 2020, eamanu wrote:
>>       > > > > >
>>       > > > > > > Hi everybody,
>>       > > > > > >
>>       > > > > > > Sorry if this issues is duplicated, I am new in the
>>       mailing list
>>       > > > > > > and in a very quickly searching I didn't found about
>>       this issue.
>>       > > > > > >
>>       > > > > > > I am working on Coccinelle package on Debian
>>       > > > > > Thanks!
>>       > > > > >
>>       > > > > > > and currently
>>       > > > > > > exist the next bug [1].
>>       > > > > > >
>>       > > > > > > There is any plan to port to use GObject
>>       Instrospection?
>>       > > > > > >
>>       > > > > > > [1]
>>       https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=885267
>>       > > > > > I think we should just drop the code that depends on
>>       it.  It was added
>>       > > > > > for
>>       > > > > > a MS thesis more than 10 years ago, and I don't think
>>       anyone has used
>>       > > > > > it
>>       > > > > > since.
>>       > > > > >
>>       > > > > > I will look into it.
>>       > > > >
>>       > > > > Great, if you need help, I can help :-)
>>       > > > >
>>       > > > > I will wait for any news. Thanks
>>       > > > >
>>       > > > > eamanu
>>       > > > > >
>>       > > > > > julia
>>       > > > >
>>       > > > > _______________________________________________
>>       > > > > Cocci mailing list
>>       > > > > Cocci@systeme.lip6.fr
>>       > > > > https://systeme.lip6.fr/mailman/listinfo/cocci
>>       > > > >
>>       > > >
>>       > > >
>>       > > > --
>>       > > > Nicolas Palix
>>       > > > http://lig-membres.imag.fr/palix/
>>       > > >
>>       > >
>>       >
>>       >
>>       > --
>>       > Nicolas Palix
>>       > http://lig-membres.imag.fr/palix/
>>       >
>>
>>
> >

-- 
Emmanuel Arias
@eamanu
yaerobi.com


[-- Attachment #1.1.1.2: 0xFA9DEC5DE11C63F1.asc --]
[-- Type: application/pgp-keys, Size: 5735 bytes --]

[-- Attachment #1.2: OpenPGP digital signature --]
[-- Type: application/pgp-signature, Size: 833 bytes --]

[-- Attachment #2: Type: text/plain, Size: 136 bytes --]

_______________________________________________
Cocci mailing list
Cocci@systeme.lip6.fr
https://systeme.lip6.fr/mailman/listinfo/cocci

^ permalink raw reply	[flat|nested] 10+ messages in thread

end of thread, back to index

Thread overview: 10+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-02-04 14:48 [Cocci] coccinelle depends on unmaintained pygtk eamanu
2020-02-04 14:59 ` Julia Lawall
2020-02-04 15:25   ` eamanu
2020-02-27  9:43     ` Nicolas Palix
2020-02-27  9:45       ` Julia Lawall
2020-02-27  9:56         ` Nicolas Palix
2020-02-27 10:04           ` Julia Lawall
2020-02-28 11:39             ` Emmanuel Arias
2020-02-28 12:45               ` Julia Lawall
2020-02-28 15:14                 ` eamanu

Coccinelle archive on lore.kernel.org

Archives are clonable:
	git clone --mirror https://lore.kernel.org/cocci/0 cocci/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 cocci cocci/ https://lore.kernel.org/cocci \
		cocci@systeme.lip6.fr
	public-inbox-index cocci

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://nntp.lore.kernel.org/fr.lip6.systeme.cocci


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git